Name:		packmol
Version:	20.14.2
Release:    1%{?dist}
Summary:	Packing optimization for molecular dynamics simulations
License:	MIT
URL:		http://m3g.iqm.unicamp.br/packmol/home.shtml
Source0:	https://github.com/mcubeg/packmol/archive/v%{version}/packmol-%{version}.tar.gz
Source2:        http://leandro.iqm.unicamp.br/m3g/packmol/examples/examples.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc-gfortran

%description
Packmol creates an initial point for molecular dynamics simulations by
packing molecules in defined regions of space. The packing guarantees
that short range repulsive interactions do not disrupt the
simulations.

The great variety of types of spatial constraints that can be
attributed to the molecules, or atoms within the molecules, makes it
easy to create ordered systems, such as lamellar, spherical or tubular
lipid layers.

The user must provide only the coordinates of one molecule of each
type, the number of molecules of each type and the spatial constraints
that each type of molecule must satisfy.

The package is compatible with input files of PDB, TINKER, XYZ and
MOLDY formats.


%prep
%setup -q
find . -name \*.o -delete
tar zxvf %{SOURCE2}

%build
export FC=gfortran
%cmake
%cmake_build

%install
%cmake_install
install -D -p -m 755 solvate.tcl %{buildroot}%{_bindir}/packmol_solvate

%check
cd examples
for f in interface.inp; do
    out=$(basename $f .inp).out
    ../redhat-linux-build/packmol < $f | tee  $out
    ok=$(grep "Success" $out|wc -l)
    if(( ! $ok )); then
	echo "Example failed to run"
	exit
    fi
done

%files
%doc AUTHORS
%license LICENSE
%{_bindir}/packmol
%{_bindir}/packmol_solvate

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.14.2-1
- initial build
